Package com.complexible.stardog.api

# Class ConnectionCredentials

java.lang.Object
com.complexible.stardog.api.ConnectionCredentials

public class ConnectionCredentials extends Object

This object is used to set the authentication mechanism on Stardog HTTP connections. Currently username/password and krb5 are supported.

Since:
  5.2.1
Version:
  5.2.1
Author:
  John Bresnahan

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `GSS_KRB5_MECH_OID`
  `static final String`
  `GSS_SPNEGO_MECH_OID`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConnectionCredentials(String theUsername, String thePassword)`
  `ConnectionCredentials(org.apache.hc.client5.http.auth.KerberosCredentials theCredentials)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ConnectionCredentials`
  `createKrb5Credential(File theKeytab, boolean theDebug)`
  `static ConnectionCredentials`
  `createKrb5Credential(File theKeytab, String thePrincipalName, boolean theDebug)`
  `static org.apache.hc.client5.http.auth.KerberosCredentials`
  `gerKrb5Cred(GSSManager theGSSManager, boolean theDebug)`
  `org.apache.hc.client5.http.auth.Credentials`
  `getHttpCredentials()`
  `static ConnectionCredentials`
  `getKrb5Credential()`
  `static ConnectionCredentials`
  `getKrb5Credential(Boolean theDebug)`
  `static ConnectionCredentials`
  `getKrb5Credential(Subject theSubject)`
  `char[]`
  `getPassword()`
  `String`
  `getSubject()`
  `static ConnectionCredentials`
  `getUsernamePasswordCredential(String theUsername, String thePassword)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### GSS_KRB5_MECH_OID

    public static final String GSS_KRB5_MECH_OID
    See Also:
      - Constant Field Values

  - ### GSS_SPNEGO_MECH_OID

    public static final String GSS_SPNEGO_MECH_OID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ConnectionCredentials

    public ConnectionCredentials(org.apache.hc.client5.http.auth.KerberosCredentials theCredentials)

  - ### ConnectionCredentials

    public ConnectionCredentials(String theUsername, String thePassword)

- ## Method Details

  - ### getHttpCredentials

    public org.apache.hc.client5.http.auth.Credentials getHttpCredentials()

  - ### getPassword

    public char[] getPassword()

  - ### getKrb5Credential

    public static ConnectionCredentials getKrb5Credential(Boolean theDebug)

  - ### getSubject

    public String getSubject()

  - ### getKrb5Credential

    public static ConnectionCredentials getKrb5Credential()

  - ### getKrb5Credential

    public static ConnectionCredentials getKrb5Credential(Subject theSubject)

  - ### createKrb5Credential

    public static ConnectionCredentials createKrb5Credential(File theKeytab, boolean theDebug)

  - ### createKrb5Credential

    public static ConnectionCredentials createKrb5Credential(File theKeytab, @Nullable String thePrincipalName, boolean theDebug)

  - ### getUsernamePasswordCredential

    public static ConnectionCredentials getUsernamePasswordCredential(String theUsername, String thePassword)

  - ### gerKrb5Cred

    public static org.apache.hc.client5.http.auth.KerberosCredentials gerKrb5Cred(GSSManager theGSSManager, boolean theDebug)